﻿using System.Collections.Generic;
using System.Linq;
using System.Security;
using System.Text;
using System.Web.Mvc;

namespace SecuredFormExample.Code
{
    public static class SecuredValueValidator
    {
        public static void ValidateValue(string value, string hash)
        {
            var computedHash = SecuredValueHashComputer.GetHash(value);
            if (computedHash != hash)
            {
                throw new SecurityException("Field tampering detected.");
            }
        }

        public static void ValidateValue(FormCollection formValues, string name)
        {
            var value = formValues[name];
            var hash = formValues[SecuredValueFieldNameComputer.GetSecuredValueFieldName(name)];
            ValidateValue(value, hash);
        }

        public static void ValidateMultipleValues(FormCollection formValues, string name, IEnumerable<string> names)
        {
            var valueToHash = new StringBuilder();
            foreach (var n in names)
            {
                valueToHash.Append(formValues[n]);
            }
            ValidateValue(valueToHash.ToString(),
                          formValues[SecuredValueFieldNameComputer.GetSecuredValueFieldName(name)]);
        }
    }
}
