﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using SecuredFormExample.Code;

namespace SecuredFormExample.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewData["message"] = "Edit the product";

            return View();
        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Index(int productId, string productName, string save, FormCollection formValues)
        {
            if (save == "with")
            {
                SecuredValueValidator.ValidateValue(formValues, "productId");
            }

            ViewData["message"] = string.Format("Product ID {0} was saved!", productId);

            return View();
        }

        public ActionResult About()
        {
            return View();
        }
    }
}
