using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using SecuredFormExample.Code;

namespace SecuredFormExample.Controllers
{
    public class MultiFieldValidationController : Controller
    {
        public ActionResult Index()
        {
            ViewData["message"] = "Edit the product";

            return View();
        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Index(int productId, string someOtherValue, string productName, string save, FormCollection formValues)
        {
            if (save == "with")
            {
                SecuredValueValidator.ValidateMultipleValues(formValues, "hash", new[] { "productId", "someOtherValue" });
            }

            ViewData["message"] = string.Format("Product ID {0} was saved! Other value = {1}", productId, someOtherValue);

            return View();
        }
    }
}
